#include <QtWidgets>
#include <memory>

/*!
\file
Precompiled header file
*/

using std::unique_ptr;

//nullable-delete functions (https://stackoverflow.com/questions/1265666/reason-why-not-to-have-a-delete-macro-for-c)
template< class T > void SafeDelete( T*& pVal )
{
	if(pVal)
	{
		delete pVal;
		pVal = nullptr;
	}
}

template< class T > void SafeDeleteArray( T*& pVal )
{
	if(pVal)
	{
		delete[] pVal;
		pVal = nullptr;
	}
}